### Option: StartPollers
#	Number of pre-forked instances of pollers.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartPollers=5

StartPollers=${ZBX_STARTPOLLERS}

### Option: StartAgentPollers
#	Number of pre-forked instances of asynchronous Zabbix agent pollers. Also see MaxConcurrentChecksPerPoller.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartAgentPollers=1

StartAgentPollers=${ZBX_STARTAGENTPOLLERS}

### Option: StartHTTPAgentPollers
#	Number of pre-forked instances of asynchronous HTTP agent pollers. Also see MaxConcurrentChecksPerPoller.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartHTTPAgentPollers=1

StartHTTPAgentPollers=${ZBX_STARTHTTPAGENTPOLLERS}

### Option: StartSNMPPollers
#	Number of pre-forked instances of asynchronous SNMP pollers. Also see MaxConcurrentChecksPerPoller.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartSNMPPollers=1

StartSNMPPollers=${ZBX_STARTSNMPPOLLERS}

### Option: MaxConcurrentChecksPerPoller
#	Maximum number of asynchronous checks that can be executed at once by each HTTP agent poller or agent poller.
#
# Mandatory: no
# Range: 1-1000
# Default:
# MaxConcurrentChecksPerPoller=1000

MaxConcurrentChecksPerPoller=${ZBX_MAXCONCURRENTCHECKSPERPOLLER}

### Option: StartIPMIPollers
#	Number of pre-forked instances of IPMI pollers.
#		The IPMI manager process is automatically started when at least one IPMI poller is started.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartIPMIPollers=0

StartIPMIPollers=${ZBX_STARTIPMIPOLLERS}

### Option: StartPreprocessors
#	Number of pre-started instances of preprocessing worker threads should be set to no less than
#	the available CPU core count. More workers should be set if preprocessing is not CPU-bound and has
#	lots of network requests.
# Mandatory: no
# Range: 1-1000
# Default:
# StartPreprocessors=16

StartPreprocessors=${ZBX_STARTPREPROCESSORS}

### Option: StartConnectors
#	Number of pre-forked instances of connector workers.
#		The connector manager process is automatically started when connector worker is started.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartConnectors=0

StartConnectors=${ZBX_STARTCONNECTORS}

### Option: StartPollersUnreachable
#	Number of pre-forked instances of pollers for unreachable hosts (including IPMI and Java).
#	At least one poller for unreachable hosts must be running if regular, IPMI or Java pollers
#	are started.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartPollersUnreachable=1

StartPollersUnreachable=${ZBX_STARTPOLLERSUNREACHABLE}

### Option: StartHistoryPollers
#	Number of pre-forked instances of history pollers.
#	Only required for calculated checks.
#	A database connection is required for each history poller instance.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartHistoryPollers=5

StartHistoryPollers=${ZBX_STARTHISTORYPOLLERS}

### Option: StartTrappers
#	Number of pre-forked instances of trappers.
#	Trappers accept incoming connections from Zabbix sender, active agents and active proxies.
#	At least one trapper process must be running to display server availability and view queue
#	in the frontend.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartTrappers=5

StartTrappers=${ZBX_STARTTRAPPERS}

### Option: StartPingers
#	Number of pre-forked instances of ICMP pingers.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartPingers=1

StartPingers=${ZBX_STARTPINGERS}

### Option: StartDiscoverers
#	Number of pre-started instances of discovery workers.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartDiscoverers=5

StartDiscoverers=${ZBX_STARTDISCOVERERS}

### Option: StartLLDProcessors
#	Number of pre-forked instances of low level discovery processors.
#
# Mandatory: no
# Range: 1-100
# Default:
# StartLLDProcessors=2

StartLLDProcessors=${ZBX_STARTLLDPROCESSORS}

## Option: StartODBCPollers
#	Number of pre-forked ODBC poller instances.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartODBCPollers=1

StartODBCPollers=${ZBX_STARTODBCPOLLERS}

### Option: StartHTTPPollers
#	Number of pre-forked instances of HTTP pollers.
#
# Mandatory: no
# Range: 0-1000
# Default:
# StartHTTPPollers=1

StartHTTPPollers=${ZBX_STARTHTTPPOLLERS}

### Option: StartTimers
#	Number of pre-forked instances of timers.
#	Timers process maintenance periods.
#	Only the first timer process handles host maintenance updates. Problem suppression updates are shared
#	between all timers.
#
# Mandatory: no
# Range: 1-1000
# Default:
# StartTimers=1

StartTimers=${ZBX_STARTTIMERS}

### Option: StartEscalators
#	Number of pre-forked instances of escalators.
#
# Mandatory: no
# Range: 1-100
# Default:
# StartEscalators=1

StartEscalators=${ZBX_STARTESCALATORS}

### Option: StartAlerters
#	Number of pre-forked instances of alerters.
#	Alerters send the notifications created by action operations.
#
# Mandatory: no
# Range: 1-100
# Default:
# StartAlerters=3

StartAlerters=${ZBX_STARTALERTERS}

### Option: StartDBSyncers
#	Number of pre-forked instances of DB Syncers.
#
# Mandatory: no
# Range: 1-100
# Default:
# StartDBSyncers=4

StartDBSyncers=${ZBX_STARTDBSYNCERS}
